from pychart import *
import re

x = 100
y = 500

def show_text(str):
    global x, y
    canvas.show(x, y, str)
    e = "/16/C" + font.quotemeta(str)
    canvas.show(x+200, y, e)
    y = y - 20

show_text("/16/hLLeft align")
show_text("/16/hRRight align")
show_text("/16/hCCenter align")
show_text("/a20/16/hRAngled text")

def show_textv(str):
    global x, y
    canvas.show(x, y, str)
    x = x + 150

y = y - 40
x = 100
show_textv("/16/vT//16//vTTop align")
show_textv("/16/vM//16//vT/16Middle align")
show_textv("/16/vB//16//vT/16Bottom align")

y = y - 40
x = 100
show_text("/16/HHelvetica")
show_text("/16/CCourier")
show_text("/16/NHelvetica-Narrow")
show_text("/16/PPalatino-Roman")
show_text("/16/AAvantgarde")
show_text("/16/T/iTimes-Italic")
show_text("/16/F{ZapfDingbats}ZapfDingbats")

